[![Build Status](https://travis-ci.org/eguven/secrets2env.svg?branch=master)](https://travis-ci.org/eguven/secrets2env)

# secret2env

Command-line tool for generating sourcable environment variables from secrets in AWS Secrets Manager
using a YAML definition.

## Installation

```shell
$ pip install secrets2env
```

## Environment Definition

Below is an example environment definition. The values for environment variables will be generated
using `.format()` and keyword arguments.

```yaml
- secret: aws/secret-name
  name: ENV_SECRET
  value: "{key1-in-secret}"
- secret: production/postgresql
  name: PSQL_URI
  value: "postgresql://{username}:{password}@postgresql:5432/{dbname}"
```

## Usage

A definition like the one above is expected in `./aws-secrets.yml`. Running `secrets2env` will
print a sourceable environment to STDOUT which can be `eval`d or redirected to an environment file.

```shell
# using the aws-secrets.yml definition above
$ secrets2env
# Autogenerated by <path/to/installed/secrets2env.py>
export ENV_SECRET='some-secret'
export PSQL_URI='postgresql://pg-user:pg-pw@postgresql:5432/pgdb'
```

```shell
# you can eval directly
eval "`secrets2env`"
# or redirect to file
echo -e "\n`secrets2env`" >> env.sh
```

## Limitations / TODOs

* currently only supports `SecretString`
* currently only supports OsX and Linux
* no automated tests
